Subject: re[2]: Building a win32 python extension from cygwin?
From: Greg Freemyer <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 19 Mar 2003 12:53:49 -0500

>>  Greg,

 >>  On Tue, Mar 18, 2003 at 04:56:49PM -0500, Greg Freemyer wrote:
 >>  >  >>  What is "installer"?
 >>  > 
 >>  > A packaging solution that allows python apps to be deployed without
 >>  > having to deploy python itself.
 >>  > 
 >>  > http://www.mcmillan-inc.com/install1.html

 >>  Ah, it sounded familiar -- thanks for the refresher.

 >>  > My problem was that libpython2.2.dll could not be found in the specified
 >>  path.

 >>  Please run cygcheck on your .exe (installation package) and post the
 >>  output.  For example:

 >>  $ cygcheck foo.exe

===
$ cygcheck rdiff-backup.exe
Found: .\rdiff-backup.exe
.\rdiff-backup.exe
  C:\cygwin\bin\libpython2.2.dll
    C:\cygwin\bin\cygwin1.dll
      C:\WINNT\System32\KERNEL32.dll
        C:\WINNT\System32\ntdll.dll
  C:\cygwin\bin\cygz.dll
Use -h to see help about each section
===

If those are the only dependencies, maybe it would not be too bad to just build up a deployment CD with the above on it.

Not quite what I wanted, but not too bad.

 >>  > That does not make any sense because the exe was supposed to be self
 >>  > contained and not assume any pre-existing cygwin/python dlls.

 >>  Agreed, but the above indicates otherwise.

 >>  >  >>  Error messages?  Build command lines?
 >>  > 
 >>  > =====  From a freshly started python (win32 IDLE)
 >>  > Python 2.2.2 (#37, Oct 14 2002, 17:02:34) [MSC 32 bit (Intel)] on win32
 >>  > Type "copyright", "credits" or "license" for more information.
 >>  > IDLE 0.8 -- press F1 for help
 >>  > >>> import _librsync
 >>  > Traceback (most recent call last):
 >>  >   File "<pyshell#0>", line 1, in ?
 >>  >     import _librsync
 >>  > ImportError: DLL load failed: The specified module could not be found.

 >>  If _librsync is dependent on libpython2.2.dll, then the above error make
 >>  sense.

Please, don't worry about this.  By following the recipe you pointed at, I think I can eliminate this issue.

But it looks like it is.  (Especially not good since I am trying to use Win32 python, not cygwin python.)

$ cygcheck _librsync.dll
Found: .\_librsync.dll
.\_librsync.dll
  C:\cygwin\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll
  C:\cygwin\bin\libpython2.2.dll
 >>  Jason

Thanks
Greg

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/